/**
 * Custom element `<skribbl-container>` that functions as a root element for the game, containing and managing both the game and all its menus, taking care of high-level state managment.
 */
export default class SkribblContainer extends HTMLElement {
	constructor(){
		super();
		this.attachShadow({mode:"open"});
		this.shadowRoot.innerHTML = `
			<style>
				:host {
					display: block;
					position: fixed;
					top: 0;
					right: 0;
					bottom: 0;
					left: 0;
					--background-color: #efefefef;
					background-image: linear-gradient(var(--background-color),var(--background-color)), url(./res/background.png);
				}
			</style>
		`;
	}
}
customElements.define("skribbl-container",SkribblContainer);